from django.contrib import admin
from .models import ProductData, Rating, UsersRated, Category, SubCategory,link_seller_product

# Register your models here.
admin.site.register(Category)
admin.site.register(SubCategory)
admin.site.register(ProductData)
admin.site.register(Rating)
admin.site.register(UsersRated)
admin.site.register(link_seller_product)


# class TagAdmin(admin.ModelAdmin):
#     def formfield_for_foreignkey(self, db_field, request, **kwargs):
#         kwargs['queryset'] = SubCategory.objects.filter(sub_title=self.sub_title)

# def add_view(self, *args, **kwargs):
#     self.exclude = ("category",)
#     self.readonly_fields = ()
#     return super(SubCategory, self).add_view(*args, **kwargs)


from django import forms
from django.contrib import admin

#Create custom form with specific queryset:
class CustomBarModelForm(forms.ModelForm):
    class Meta:
        model = SubCategory
        fields = '__all__'

    def __init__(self, *args, **kwargs):
        super(CustomBarModelForm, self).__init__(*args, **kwargs)
        self.fields['category'].queryset = Category.objects.filter(title__isnull=False)# or something else

# Use it in your modelAdmin
class BarAdmin(admin.ModelAdmin):
    form = CustomBarModelForm

